Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | Static Public Member Functions | List of all members
testing::internal::FilePath Class Reference

## Public Member Functions
| FilePath (const FilePath &rhs)
| FilePath (const std::string &pathname)
FilePath & | operator= (const FilePath &rhs)
void | Set (const FilePath &rhs)
const std::string & | string () const
const char * | c_str () const
bool | IsEmpty () const
FilePath | RemoveTrailingPathSeparator () const
FilePath | RemoveDirectoryName () const
FilePath | RemoveFileName () const
FilePath | RemoveExtension (const char *extension) const
bool | CreateDirectoriesRecursively () const
bool | CreateFolder () const
bool | FileOrDirectoryExists () const
bool | DirectoryExists () const
bool | IsDirectory () const
bool | IsRootDirectory () const
bool | IsAbsolutePath () const

## Static Public Member Functions
static FilePath | GetCurrentDir ()
static FilePath | MakeFileName (const FilePath &directory, const FilePath &base_name, int number, const char *extension)
static FilePath | ConcatPaths (const FilePath &directory, const FilePath &relative_path)
static FilePath | GenerateUniqueFileName (const FilePath &directory, const FilePath &base_name, const char *extension)

## Detailed Description

Definition at line 59 of file gtest-filepath.h.

The documentation for this class was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/tests/gtest/include/gtest/internal/gtest-filepath.h